liblucene3-java_3.6.2+dfsg-20_all.deb


Advertisement

Description

liblucene3-java - Full-text search engine library for Java - core library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename liblucene3-java_3.6.2+dfsg-20_all.deb
Package name liblucene3-java
Package version 3.6.2+dfsg
Package release 20
Package architecture all
Package type deb
Category java
Homepage http://lucene.apache.org
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 1.49 MB
Installed size 1.69 MB
Lucene is a full-text search engine for the Java(TM) programming language.
Lucene is not a complete application, but rather a code library and API
that can easily be used to add search capabilities to applications.
This package contains the Lucene core library.

Alternatives

Package Version Architecture Repository
liblucene3-java_3.6.2+dfsg-20_all.deb 3.6.2+dfsg all Debian Main
liblucene3-java - - -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblucene3-java_3.6.2+dfsg-20_all.deb
Source Package lucene-solr

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblucene3-java deb package:
    # sudo apt-get install liblucene3-java

Files

Path
/usr/share/doc/liblucene3-java/NOTICE.txt.gz
/usr/share/doc/liblucene3-java/README.txt
/usr/share/doc/liblucene3-java/changelog.Debian.gz
/usr/share/doc/liblucene3-java/changelog.gz
/usr/share/doc/liblucene3-java/copyright
/usr/share/java/lucene3-core-3.6.2.jar
/usr/share/java/lucene3-core.jar
/usr/share/maven-repo/org/apache/lucene/lucene-core/3.6.2/lucene-core-3.6.2.jar
/usr/share/maven-repo/org/apache/lucene/lucene-core/3.6.2/lucene-core-3.6.2.pom
/usr/share/maven-repo/org/apache/lucene/lucene-core/debian/lucene-core-debian.jar
/usr/share/maven-repo/org/apache/lucene/lucene-core/debian/lucene-core-debian.pom
/usr/share/maven-repo/org/apache/lucene/lucene-parent/3.6.2/lucene-parent-3.6.2.pom
/usr/share/maven-repo/org/apache/lucene/lucene-parent/debian/lucene-parent-debian.pom
/usr/share/maven-repo/org/apache/lucene/lucene-solr-grandparent/3.6.2/lucene-solr-grandparent-3.6.2.pom
/usr/share/maven-repo/org/apache/lucene/lucene-solr-grandparent/debian/lucene-solr-grandparent-debian.pom

Changelog

2019-04-25 - Markus Koschany <apo@debian.org>
lucene-solr (3.6.2+dfsg-20) unstable; urgency=medium
* Team upload.
* Remove now obsolete solr-permissions.conf in /etc/systemd/system/tomcat9.d/.
2019-04-19 - Markus Koschany <apo@debian.org>
lucene-solr (3.6.2+dfsg-19) unstable; urgency=medium
* Team upload.
* Install solr-permissions.conf into the correct directory.
2019-03-02 - Markus Koschany <apo@debian.org>
lucene-solr (3.6.2+dfsg-18) unstable; urgency=medium
* Team upload.
* Add solr-permissions.conf and override tomcat9 permissions to allow
solr-tomcat read-write access to /var/lib/solr. (Closes: #919638)
2019-02-15 - Markus Koschany <apo@debian.org>
lucene-solr (3.6.2+dfsg-17) unstable; urgency=medium
* Team upload.
* Do not build the lucene3 javadocs anymore. Very low popcon and build
failures. (Closes: #917739)
* Remove TODO.Debian.
* Add web.xml.patch and use a correct DTD schema otherwise jasper will abort
the build process.
* Remove el-api.jar from the classpath to avoid a conflict with jasper-el.
* Execute postrm commands in solr-jetty and solr-tomcat on purge too.
(Closes: #914223)
2018-12-10 - Emmanuel Bourg <ebourg@apache.org>
lucene-solr (3.6.2+dfsg-16) unstable; urgency=medium
* Team upload.
* Transition to Tomcat 9
* Fixed the compatibility with Jetty 9.4
* Use salsa.debian.org Vcs-* URLs
2018-11-09 - Markus Koschany <apo@debian.org>
lucene-solr (3.6.2+dfsg-15) unstable; urgency=medium
* Team upload.
* Switch from libmysql-java to libmariadb-java.
2018-08-25 - Markus Koschany <apo@debian.org>
lucene-solr (3.6.2+dfsg-14) unstable; urgency=medium
* Team upload.
* debian/build-jars: Fix broken links to woodstox-core.jar. The jar files
were renamed.  (Closes: #906384). This also addresses the runtime error.
solr-tomcat works as expected again. (Closes: #904063)
* Disable the tests and work around a FTBFS. Ideally this should been
investigated and fixed eventually.
2018-05-06 - Markus Koschany <apo@debian.org>
lucene-solr (3.6.2+dfsg-13) unstable; urgency=medium
* Team upload.
* Symlink /etc/solr/solr-jetty.xml to /var/lib/jetty9/webapps/solr.xml
to make solr-jetty work out-of-the-box.
Thanks to Larocque for the report. (Closes: #886090)
2018-05-01 - Markus Koschany <apo@debian.org>
lucene-solr (3.6.2+dfsg-12) unstable; urgency=high
* Team upload.
* Fix FTBFS with Ant 1.10. (Closes: #895797)
* Fix CVE-2018-1308. (Closes: #896604)
* Declare compliance with Debian Policy 4.1.4.
2018-01-14 - Markus Koschany <apo@debian.org>
lucene-solr (3.6.2+dfsg-11) unstable; urgency=medium
* Team upload.
* Switch to compat level 11.
* Declare compliance with Debian Policy 4.1.3.
* Fix CVE-2017-12629: possible remote code execution by exploiting XXE. For
security reasons the RunExecutableListener class was permanently removed.
* Fix CVE-2017-3163: path traversal vulnerability. (Closes: #867712)

See Also

Package Description
liblucene4.10-java_4.10.4+dfsg-5_all.deb Full-text search engine library for Java(TM)
libluksmeta-dev_9-3_i386.deb library to access metadata in the LUKSv1 header - development files
libluksmeta0_9-3_i386.deb library to access metadata in the LUKSv1 header
liblunar-date-2.0-0_2.4.0-5_i386.deb Chinese Lunar library based on GObject
liblunar-date-dev_2.4.0-5_i386.deb Chinese Lunar library based on GObject - develop files
liblunar-date-doc_2.4.0-5_all.deb Chinese Lunar library based on GObject - API documents
liblur-dev_0.9.905-1_i386.deb Logitech Unifying Receiver access library - dev files
liblur3_0.9.905-1_i386.deb Logitech Unifying Receiver access library
liblv2dynparam1-dev_2-6_i386.deb lv2dynparam is a LV2 plugin interface extension
liblv2dynparamhost1-1_2-6_i386.deb LV2 plugin interface extension - host
liblv2dynparamplugin1-0_2-6_i386.deb LV2 plugin interface extension - plugin
liblvm2-dev_2.03.02-3_i386.deb LVM2 libraries - development files
liblvm2cmd2.03_2.03.02-3_i386.deb LVM2 command library
liblwgeom-2.5-0_2.5.1+dfsg-1_i386.deb PostGIS "Lightweight Geometry" library
liblwgeom-dev_2.5.1+dfsg-1_i386.deb PostGIS "Lightweight Geometry" library - Development files
Advertisement
Advertisement